<?php

/**
 * @file
 * Token hook implementations.
 */

use Drupal\Core\Hook\Attribute\LegacyHook;
use Drupal\Core\Render\BubbleableMetadata;
use Drupal\drupalforge_token\Hook\TokenHooks;

/**
 * Implements hook_tokens().
 */
#[LegacyHook]
function drupalforge_token_tokens(string $type, array $tokens, array $data, array $options, BubbleableMetadata $bubbleable_metadata): array {
  return \Drupal::service(TokenHooks::class)->tokens($type, $tokens, $data, $options, $bubbleable_metadata);
}
